Page 4 of 5

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sat Feb 28, 2015 1:06 am
by pm-netti
mcurtis wrote:Yes.. the same one over and over. I think because i tried this a few times?

PHP Notice: Error: Table 'opn_custom_field_customer_group' already exists<br />Error No: 1050<br />
RENAME TABLE
`opn_custom_field_to_customer_group`
TO
`opn_custom_field_customer_group` in /xxx/converter/system/database/mysql.php on line 50
Are your database those two tables, "opn_custom_field_to_customer_group" and "opn_custom_field_customer_group"?

Go again to phpmyadmin. You check which of the table content with your trade.
Delete other table.
Run OC Migation & Upgrade Tool again.

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sat Feb 28, 2015 1:13 am
by mcurtis
I have both fields "opn_custom_field_to_customer_group" and "opn_custom_field_customer_group".

pn_custom_field_customer_group
Image


opn_custom_field_to_customer_group
Image

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sat Feb 28, 2015 1:23 am
by pm-netti
mcurtis wrote:I have both fields "opn_custom_field_to_customer_group" and "opn_custom_field_customer_group".
Is in those tables same content data? If, delete table "opn_custom_field_to_customer_group".

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sat Feb 28, 2015 1:26 am
by mcurtis
How do i check that and how do i delete that entry?

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sat Feb 28, 2015 1:30 am
by pm-netti
mcurtis wrote:How do i check that?
Click "Browse".

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sat Feb 28, 2015 1:34 am
by mcurtis
Image

Image

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sat Feb 28, 2015 1:51 am
by JAY6390
You guys may want to move into PM for this 8) Not really constructive to the thread

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sat Feb 28, 2015 2:06 am
by mcurtis
appreciate your input, however if someone else is having the same questions, then it is best to share.

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sat Mar 07, 2015 1:38 am
by bookpearl
I upgraded opencart to 2.0.1.1 version and now I am getting an error. I was able to fix all errors, but this one. Please tell me how to fix it. The website will not show, but the admin page works properly. I read all of the posts and searched for the error, but did not find any help. I even tried http://forum.opencart.com/viewtopic.php ... &start=200

Please help.

The error is

Fatal error: Class 'Customer' not found in /home/www/handmadescarvesetc.com/index.php on line 188

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sun Mar 08, 2015 3:48 am
by pm-netti
bookpearl wrote:I upgraded opencart to 2.0.1.1 version and now I am getting an error. I was able to fix all errors, but this one. Please tell me how to fix it. The website will not show, but the admin page works properly. I read all of the posts and searched for the error, but did not find any help. I even tried http://forum.opencart.com/viewtopic.php ... &start=200

Please help.

The error is

Fatal error: Class 'Customer' not found in /home/www/handmadescarvesetc.com/index.php on line 188
Update index,php to version 2.0.1.1

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Mon Mar 09, 2015 11:10 pm
by bookpearl
Hello pm-netti,

I followed your directions
Update index,php to version 2.0.1.1

I am receiving the same error. I viewed line 188. It is as follows:

$customer = new Customer($registry);

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Tue Mar 10, 2015 3:08 am
by pm-netti
bookpearl wrote:Hello pm-netti,

I followed your directions
Update index,php to version 2.0.1.1

I am receiving the same error. I viewed line 188. It is as follows:

$customer = new Customer($registry);
You update file system/startup.php

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Fri Mar 13, 2015 4:03 pm
by sunsys
Hello pm-netti:

It will be great if you can guide me properly, right now I am on OC-1564(default theme) with vqmod installed and I have about 250 products completely uploaded with images and all. I also have many extn. applied to the cart.

What I would like to know is that keeping my present cart(OC-1564) intact is there someway that I can upgrade to OC-2011 with all my product listings and images as it is and then if and when everything works ok on OC-2011 then I can delete off the old cart.

I hope I was clear in explaining what I want. Can you please guide me as I want to upgrade to OC-2011.

Thank You.
..Raj

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Fri Mar 13, 2015 8:23 pm
by pm-netti
sunsys wrote:Hello pm-netti:

It will be great if you can guide me properly, right now I am on OC-1564(default theme) with vqmod installed and I have about 250 products completely uploaded with images and all. I also have many extn. applied to the cart.

What I would like to know is that keeping my present cart(OC-1564) intact is there someway that I can upgrade to OC-2011 with all my product listings and images as it is and then if and when everything works ok on OC-2011 then I can delete off the old cart.

I hope I was clear in explaining what I want. Can you please guide me as I want to upgrade to OC-2011.

Thank You.
..Raj
PM sent :)

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Fri Mar 13, 2015 9:16 pm
by robocop1953
Hmmm.....glad I read through this before starting to create a new site in opencart (have used 1.5+ previously). Just noticed that there was a new 2.x version and was wondering whether to use it or not, but obviously NOT since apparently folks are encountering nothing but problems (i.e., existing extensions will not work). Guess no point in attempting to use 2.x.

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Fri Mar 20, 2015 7:40 pm
by rpmb
robocop1953 wrote:Hmmm.....glad I read through this before starting to create a new site in opencart (have used 1.5+ previously). Just noticed that there was a new 2.x version and was wondering whether to use it or not, but obviously NOT since apparently folks are encountering nothing but problems (i.e., existing extensions will not work). Guess no point in attempting to use 2.x.
Indeed I check back periodically but its got no further with plenty of bugs.

Keeping on topic I find it an absolute farce that when you download 2.x there is the option to upgrade but you cannot upgrade. Yes a 3rd party mod is available and kudos to the person that created it but its really a kick in the teeth to many using 1.5.x as an official upgrade option is not being worked on and the 3rd party mod is really only for unmodified 1.5.x stores.

I am happy with my setup it does what I need it to do so I dont feel the need to upgrade. If and when I do if there is no method in place to upgrade and I have to start from scratch I will choose a different open source cart.

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Fri Mar 20, 2015 8:08 pm
by pm-netti
rpmb wrote: Keeping on topic I find it an absolute farce that when you download 2.x there is the option to upgrade but you cannot upgrade.
That's a bit of an exaggeration.
This is now even better:
http://www.opencart.com/index.php?route ... n_id=19572

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Sun Mar 22, 2015 11:19 pm
by Nyrk0
pm-netti wrote:That's a bit of an exaggeration.
This is now even better:
http://www.opencart.com/index.php?route ... n_id=19572
Yep.
Your instructions for method A) works for me, upgrading the OC1.5.5.1 to OC2.0.1.1 SQL Database.
But as the product's descriptions shows blank images linked from images/data original folder, a search/replace for "image/data" to "image/catalog" was performed at product-descriptions sql table (using SQL export/import and BBEdit tools).
Hope this tip can be added to improve your script, may be as an option.
Thanks for your very useful extension!

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Mon Mar 23, 2015 12:23 am
by pm-netti
Nyrk0 wrote:
pm-netti wrote:That's a bit of an exaggeration.
This is now even better:
http://www.opencart.com/index.php?route ... n_id=19572
Yep.
Your instructions for method A) works for me, upgrading the OC1.5.5.1 to OC2.0.1.1 SQL Database.
But as the product's descriptions shows blank images linked from images/data original folder, a search/replace for "image/data" to "image/catalog" was performed at product-descriptions sql table (using SQL export/import and BBEdit tools).
Hope this tip can be added to improve your script, may be as an option.
Thanks for your very useful extension!
Sorry my little english :o
Mean you that SQL export/import and BBEdit tools this(?):
http://www.opencart.com/index.php?route ... n_id=20918
That's not quite perfect. Very large tables can run out of memory for PHP.

Re: Upgrade-script to 2.x; When will we see the light of it?

Posted: Tue Mar 24, 2015 12:22 pm
by Nyrk0
Mean this:
Go to some OC 1.5 Admin > add some images (from the server image) to some product's descriptions field.
Load your product page. You see the Product Image "featured image" and the description text including some other images.
Now update your site to 2.0 using your script.
Your product page will show the "featured image", fine, your script do that trick at those tables.
But the description included images will not show: you need to perform a search/replace on catalog_description, product_description and so, to correct paths to images. ┬┐Got it?
well, my english is as bad as yours, hope we can understand each other :laugh: